<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "credmain";
$file = "credoth.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.vouchno = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.vouchdt = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND c.gcode= '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND b.name= '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.vouchno LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.vouchdt LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND c.gcode LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND b.name LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.vouchno";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.vouchdt";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY c.gcode";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.name";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
} 

$query = "SELECT a.`vouchno`, date_format(a.`vouchdt`, '%d-%m-%Y') as mydt,a.party,a.credtype,a.godown, b.accode,b.name,c.code,c.gcode FROM `$maindb` a, accmast b, godown c  where a.credtype = 'O' AND  a.party = b.accode  AND a.godown = c.code $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo ";
          
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $r[$keyfld],
        'vouchdt' => $r['mydt'],
        'gcode' => $r['gcode'],
        'name' => $r['name'],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
